ProductService
Click here for a complete list of operations.
GetCustomProductDataFieldNames
Used to get a list of all valid field names to send into the GetCustomProductData-method
Test
The test form is only available for requests from the local machine.SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /WS/General/v185/ProductService.asmx HTTP/1.1
Host: api.opv.se
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.opv.se/GetCustomProductDataFieldNames"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<GetCustomProductDataFieldNames xmlns="http://www.opv.se/">
<secKey>string</secKey>
</GetCustomProductDataFieldNames>
</soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<GetCustomProductDataFieldNamesResponse xmlns="http://www.opv.se/">
<GetCustomProductDataFieldNamesResult>
<Data>
<string>string</string>
<string>string</string>
</Data>
</GetCustomProductDataFieldNamesResult>
</GetCustomProductDataFieldNamesResponse>
</soap:Body>
</soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /WS/General/v185/ProductService.asmx HTTP/1.1
Host: api.opv.se
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<GetCustomProductDataFieldNames xmlns="http://www.opv.se/">
<secKey>string</secKey>
</GetCustomProductDataFieldNames>
</soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<GetCustomProductDataFieldNamesResponse xmlns="http://www.opv.se/">
<GetCustomProductDataFieldNamesResult>
<Data>
<string>string</string>
<string>string</string>
</Data>
</GetCustomProductDataFieldNamesResult>
</GetCustomProductDataFieldNamesResponse>
</soap12:Body>
</soap12:Envelope>